<?php

  if( $Debug == 1 ){
    echo "Validate User Tendero";
  }

  $debugin    = $decoded['debug'];
  $codigo     = $decoded['codigo'];
  $codigo     = ltrim($codigo,'http://');
  $codigo     = ltrim($codigo,'https://');
  $user_id    = $decoded['user_id'];
  $FechaHoy   = date('Y-m-d H:i:s');

  if( $debugin == 1 ){

    echo "Debug-in\n";
    echo $id."\n";
    echo $cel."\n";

  }

  if( $codigo && $user_id ){

    //Valida Usuario
    $Query = "
      SELECT
        usr.id
      FROM usuarios_app usr
      WHERE
        usr.Id = '$user_id'
        AND usr.activo = '1'
    ";
    $Result = mysqli_query($mysqli, $Query);
	  $Usr = mysqli_fetch_assoc($Result);
    if( $Usr[id] ){

      //Valida Codigo de Tienda QR
      $Query = "
        SELECT
          tie.id,
          tie.nombre,
          tie.codigoQr,
          tie.fk_pais, pai.nombre AS pais,
          tie.fk_estado, est.estado,
          tie.fk_municipio, mun.municipio,
          tie.codigo_postal, tie.colonia,
          tie.calle, tie.no_exterior, tie.no_interior,
          tie.lat, tie.lng
        FROM tiendas tie
        LEFT JOIN cat_paises pai ON pai.id = tie.fk_pais
        LEFT JOIN cat_estados est ON est.id = tie.fk_estado
        LEFT JOIN cat_municipios mun ON mun.id = tie.fk_municipio
        WHERE
          tie.codigoQr = '$codigo'
        GROUP BY tie.Id
      ";
      $Result = mysqli_query($mysqli, $Query);
      $TiendaVal = mysqli_fetch_assoc($Result);
      if( $TiendaVal[id] ){

        //Valida si hay un reescaneao
        $Query = "
          SELECT
            vi.id
          FROM visitas_fuerzaventas vi
          WHERE
            vi.fk_tienda        = '$TiendaVal[id]'
            AND vi.fk_usuario   = '$user_id'
            AND vi.in_          = '1'
          GROUP BY vi.Id
        ";
        $Result = mysqli_query($mysqli, $Query);
        $Visita = mysqli_fetch_assoc($Result);
        if( $Visita[id] ){

          //Error
          $Data = array(
            'action'      => 'error',
            'error'       => 'Er-0',
            'error_msn'   => 'El codigo ya fue escaneado.'
          );
          echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

        }else{

          //Inserta Visita de Persona
          $Query = "
            INSERT INTO visitas_fuerzaventas
            (
              fecha_in,
              fk_usuario,
              fk_tienda,
              in_
            )
            VALUES (
              '$FechaHoy',
              '$user_id',
              '$TiendaVal[id]',
              '1'
            )
          ";
          $Result = mysqli_query($mysqli, $Query);
          $Id = mysqli_insert_id($mysqli);

          if( $Id ){
            $Data = array(
              'action'        => 'ok',
              'codigo'        => $codigo,
              'nombre'        => $TiendaVal[nombre],
              'calle'         => $TiendaVal[calle],
              'num_ext'       => $TiendaVal[no_exterior],
              'num_int'       => $TiendaVal[no_interior],
              'colonia'       => $TiendaVal[colonia],
              'municipio'     => $TiendaVal[municipio],
              'estado'        => $TiendaVal[estado],
              'pais'          => $TiendaVal[pais],
              'codigopostal'  => $TiendaVal[codigo_postal],
              'latitud'       => $TiendaVal[lat],
              'longitud'      => $TiendaVal[lng]
            );
            echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);
          }else{

            //Error
            $Data = array(
              'action'      => 'error',
              'error'       => 'Er-0',
              'error_msn'   => 'Error'
            );
            echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

          }

        }

      }else{

        //Error
        $Data = array(
          'action'      => 'error',
          'error'       => 'Er-0',
          'error_msn'   => 'Código incorrecto'.$codigo
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }

    }else{

      //Error
      $Data = array(
        'action'      => 'error',
        'error'       => 'Er-0',
        'error_msn'   => 'Usuario inexistente'
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }


  }else{

    //Error
    $Data = array(
      'action'      => 'error',
      'error'       => 'Er-0',
      'error_msn'   => 'Error de lectura'
    );
    echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);


  }

?>
